﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="MyCustomNamespace" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        <div>
            <telerik:RadGrid ID="radGrid1" runat="server" DataSourceID="AccessDataSource1" AllowFilteringByColumn="true"
                Skin="Vista" AutoGenerateColumns="false" AllowPaging="true">
                <MasterTableView DataSourceID="AccessDataSource1" CommandItemDisplay="None" CurrentResetPageIndexAction="SetPageIndexToFirst" Dir="LTR" Frame="Border" TableLayout="Auto">
                    <Columns>
                        <custom:MyTemplatedColumn DataField="OrderDate" HeaderText="Order Date" UniqueName="OrderDate" CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType" ForceExtractValue="None">
                            <itemtemplate>
                                <%#Eval("OrderDate") %>
                            
</itemtemplate>
                        </custom:MyTemplatedColumn>
                    </Columns>
                    <RowIndicatorColumn CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType"
                        Visible="False">
                        <HeaderStyle Width="20px" />
                    </RowIndicatorColumn>
                    <ExpandCollapseColumn CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType"
                        Resizable="False" Visible="False">
                        <HeaderStyle Width="20px" />
                    </ExpandCollapseColumn>
                    <EditFormSettings>
                        <EditColumn CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType">
                        </EditColumn>
                    </EditFormSettings>
                </MasterTableView>
                <ExportSettings>
                    <Pdf FontType="Subset" PaperSize="Letter" />
                    <Excel Format="Html" />
                    <Csv ColumnDelimiter="Comma" RowDelimiter="NewLine" />
                </ExportSettings>
            </telerik:RadGrid>
        </div>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Nwind.mdb"
            SelectCommand="SELECT [OrderID], [OrderDate] FROM [Orders]"></asp:AccessDataSource>
    </form>
</body>
</html>
